#
# Copyright (c) 2006 Mellanox Technologies. All rights reserved.
#
# This Software is licensed under one of the following licenses:
#
# 1) under the terms of the "Common Public License 1.0" a copy of which is
#    available from the Open Source Initiative, see
#    http://www.opensource.org/licenses/cpl.php.
#
# 2) under the terms of the "The BSD License" a copy of which is
#    available from the Open Source Initiative, see
#    http://www.opensource.org/licenses/bsd-license.php.
#
# 3) under the terms of the "GNU General Public License (GPL) Version 2" a
#    copy of which is available from the Open Source Initiative, see
#    http://www.opensource.org/licenses/gpl-license.php.
#
# Licensee has the right to choose one of the above licenses.
#
# Redistributions of source code must retain the above copyright
# notice and one of the license notices.
#
# Redistributions in binary form must reproduce both the above copyright
# notice, one of the license notices in the documentation
# and/or other materials provided with the distribution.
#

%{!?KVERSION: %define KVERSION %(uname -r)}
%define krelver %(echo -n %{KVERSION} | sed -e 's/-/_/g')
%define rel %(echo -n "")

Summary: Mellanox Firmware Tools Package
Name: mft
Version: 2.6.1
Release: %{krelver}
License: TBD
Url: TBD
Group: System Environment/Libraries
Source: %{name}-%{version}%{rel}.tgz
BuildRoot: %{?build_root:%{build_root}}%{!?build_root:%{_tmppath}/%{name}-%{version}%{rel}-root-%(%{__id_u} -n)}
Requires: expat
BuildRequires: expat
Vendor: Mellanox Technologies Ltd.
AutoReq: no
# HACK
%description
Mellanox Firmware Tools Package

%prep
%setup -n %{name}-%{version}%{rel}

%build

%install

%{?noinband: mft_install_flags="$mft_install_flags --disable-inband"}
%{?ibprefix: mft_install_flags="$mft_install_flags --ib-prefix %{ibprefix}"}
%{?notcl:    mft_install_flags="$mft_install_flags --use_local_tcl"}
%{?nogen:    mft_install_flags="$mft_install_flags --without-image-generation"}
%{?nodc:     mft_install_flags="$mft_install_flags --disable-dc"}
%{?nokernel: mft_install_flags="$mft_install_flags --without-kernel"}

rm -rf $RPM_BUILD_ROOT
./install.sh  -d ${RPM_BUILD_ROOT}%{_prefix}/mellanox/mft  --build_root $RPM_BUILD_ROOT --prefix %{_prefix} --force $mft_install_flags --no-root
rm -f ${RPM_BUILD_ROOT}%{_prefix}/mellanox/mft/uninstall.sh
rm -f ${RPM_BUILD_ROOT}%{_prefix}/bin/uninstall_mft.sh

# clean build leftovers
rm -rf ${RPM_BUILD_ROOT}%{_prefix}/mellanox/mft/mst-*
rm -rf ${RPM_BUILD_ROOT}%{_prefix}/mst/src

# if strip ${RPM_BUILD_ROOT}%{_prefix}/mellanox/mft/bin/* ; then echo "" ; fi
# if strip ${RPM_BUILD_ROOT}%{_prefix}/mst/bin/* ; then          echo "" ; fi

%ifarch ppc
rm -f $RPM_BUILD_ROOT/%{_prefix}/bin/flint
cp -f ./flint_ppc_wrap  $RPM_BUILD_ROOT/%{_prefix}/bin/flint
%endif

%clean
#Remove installed driver after rpm build finished
cd
rm -rf ${RPM_BUILD_DIR}%{name}-%{version}%{rel}
rm -rf $RPM_BUILD_ROOT


###
### Files
###
%files
%defattr(-,root,root)
%{_prefix}/mst
# for tcl:
%{!?notcl: %{_prefix}/lib/mft}

%{_prefix}/mellanox/mft
%dir %{_prefix}/mellanox

/etc/init.d/mst
/etc/mst.conf
/etc/mft/info

%{_prefix}/bin/mst

%ifarch %ix86 x86_64
%{_prefix}/bin/infinivision-bin
%{_prefix}/bin/infinivision
%{_prefix}/bin/infinivisionEx
%{_prefix}/bin/mfinfinivision
%{_prefix}/bin/mfinfinivisionLx
%{_prefix}/bin/is3infinivision
%{_prefix}/bin/adevmon
%{_prefix}/bin/emt
%{_prefix}/bin/is3burn
%endif

%ifarch ia64
%{_prefix}/bin/is3burn
%endif

# No wqdump and eburn for ppc yet. Update when supported
%ifnarch ppc
%{_prefix}/bin/wqdump
%{_prefix}/bin/eburn
%endif

%{_prefix}/bin/itrace
%{_prefix}/bin/mstdump
%{_prefix}/bin/mget_temp
%{_prefix}/bin/mlxtrace
%{_prefix}/bin/i2c
%{_prefix}/bin/mlxi2c
%{_prefix}/bin/isw
%{_prefix}/bin/gz_burn
%{!?nogen: %{_prefix}/bin/t2a}
%{!?nogen: %{_prefix}/bin/mic}
%{!?nogen: %{_prefix}/bin/aimage}
%{_prefix}/bin/flint
%{_prefix}/bin/spark
%{_prefix}/bin/mlxburn
#%{_prefix}/bin/uninstall_mft.sh
%{_prefix}/share/man/man1/mlxburn.1.gz
%{_prefix}/share/man/man1/spark.1.gz
%{_prefix}/share/man/man1/flint.1.gz

# END Files

%preun

%{_prefix}/bin/mst stop

%changelog
* Thu Dec 12 2007 Oren Kladnitsky <orenk@mellanox.co.il>
- Initial revision

