#ifndef DRIVER_COMMON_H
#define DRIVER_COMMON_H

#include <linux/version.h>

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,18)
#include <linux/autoconf.h>
#else
#include <linux/config.h>
#endif


#ifndef MST_NO_CONFIG_COMPAT
#define MST_NO_CONFIG_COMPAT 0
#endif
#ifndef CONFIG_COMPAT
#define CONFIG_COMPAT 0
#endif
#ifndef HAVE_COMPAT_IOCTL
#define HAVE_COMPAT_IOCTL (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,14))
#endif

#if CONFIG_COMPAT && ! MST_NO_CONFIG_COMPAT && !HAVE_COMPAT_IOCTL

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,12) || defined(CONFIG_PPC64)
#include <linux/ioctl32.h>
#else
#include <asm/ioctl32.h>
#endif

#endif

#include <linux/fs.h>

#endif

#define SEMNAME(dev) strrchr(dev, '/')
