#ifndef H_MST_PCI_H
#define H_MST_PCI_H

#include <linux/ioctl.h>
#include "driver_common.h"

/* These will be specific for PCI */
#define PCI_MAGIC 0xD1

#define PCI_INIT _IOC(_IOC_NONE,PCI_MAGIC,0,sizeof(struct mst_pci_init_st))
struct mst_pci_init_st {
  int          domain;
  unsigned int bus;
  unsigned int devfn;
  int bar;
};

#define PCI_STOP _IOC(_IOC_NONE,PCI_MAGIC,1,0)

#define PCI_PARAMS    _IOR(PCI_MAGIC,2, struct mst_pci_params_st)

struct mst_pci_params_st {
	unsigned long long __attribute__((packed)) bar;
	unsigned long long __attribute__((packed)) size;
};

// HERMON ORDERRING WA:

#define HERMON_WA_BASE 0xf0384 // SEM BASE ADDR. SEM 0xf0380 is reserved for external tools usage.
#define HERMON_WA_SIZE 3       // Size in entries

#define PCI_HERMON_WA _IOR(PCI_MAGIC,3, u_int32_t)
struct mst_data {
    struct    dev_data* dev;
    u_int32_t hermon_wa_slot_p1; // Hermon used slot plus 1. Zero means unused
};

#endif
