/*
 *
 *  mtcr_ib.c - Mellanox Software tools (mst) IB related driver implementation
 *
 */
#include <errno.h>

#include "mtcr.h"
#include "mtcr_ib.h"

#ifndef USE_IB_MGT
/*
 * Stabs for IB interface
 * ----------------------
 */

int mib_open(const char *name, mfile *mf)
{
    errno = ENOSYS;
    return -1;
}

int mib_close(mfile *mf)
{
    errno = ENOSYS;
    return -1;
}

int mib_read4(mfile *mf, unsigned int offset, u_int32_t *value)
{
    errno = ENOSYS;
    return -1;
}

int mib_write4(mfile *mf, unsigned int offset, u_int32_t value)
{
    errno = ENOSYS;
    return -1;
}

int mib_read64(mfile *mf, unsigned int offset, void *data, int length)
{
    errno = ENOSYS;
    return -1;
}

int mib_write64(mfile *mf, unsigned int offset, void *data, int length)
{
    errno = ENOSYS;
    return -1;
}

int mib_swreset(mfile *mf) {
    errno = ENOSYS;
    return -1;
}

#else

#include "mtcr_ib_ofed.c"
//#include "mtcr_ib_vapi.c"


#endif
