######################################################################
#  ...
#  NAME
#       ...
#
#  COPYRIGHT
#               - Mellanox Confidential and Proprietary -
#
# Copyright (C) Jan. 2004, Mellanox Technologies Ltd.  ALL RIGHTS RESERVED.
#
# Except as specifically permitted herein, no portion of the Information,
# including but not limited to object code and source code, may be reproduced,
# modified, distributed, republished or otherwise exploited in any form or by
# any means for any purpose without the prior written permission of Mellanox
# Technologies Ltd. Use of software subject to the terms and conditions
# detailed in the file "LICENSE.txt".
# End of legal section.
#
#  FUNCTION
#     ...
#
#  AUTHOR
#	Danny Zarko. Mellanox Technologies LTD.
#
#  CREATION DATE
#	00:09:30 - 04/05/2008
#
#  MODIFICATION HISTORY
#  Initial Revision.
#
#  NOTES
#
#******
######################################################################

source [file join [file dirname [info script]] mlx_i2c_lib.tcl]
global DZ

proc Set_ReindeerRouteTable {} {
    global RouteTable
    array set RouteTable {
        9548,address  "0x77"
        9548,type     "9548"
        9548,route    ""
        9548,desc     "Main switch"
        9548,fn       "i2c_switch.tcl"

        IS3_PRIM,address    "0x6c"
        IS3_PRIM,type       "Anafa2"
        IS3_PRIM,route      "0x77:0x10"
        IS3_PRIM,desc       ""
        IS3_PRIM,fn         ""
        
        IS3_SECN,address    "0x6c"
        IS3_SECN,type       "Anafa2"
        IS3_SECN,route      "0x77:0x80"
        IS3_SECN,desc       ""
        IS3_SECN,fn         ""

        ADM1024,address   "0x2e"
        ADM1024,type      "ADM1024"
        ADM1024,route     "0x77:0x80"
        ADM1024,desc      ""
        ADM1024,fn        ADM1024.tcl

        SYSMON_GPIO,address   "0x2a"
        SYSMON_GPIO,type      "9555"
        SYSMON_GPIO,route     "0x77:0x80"
        SYSMON_GPIO,desc      ""
        SYSMON_GPIO,fn        9555.tcl
        SYSMON_GPIO,PIN       "0 15"
    }
}



proc Set_SharkRouteTable {} {
    global RouteTable
    array set RouteTable {
        9548_0x70,address   "0x70"
        9548_0x70,type      "9548"
        9548_0x70,route     ""
        9548_0x70,desc      ""
        9548_0x70,fn        i2c_switch.tcl

        9548_0x71,address   "0x71"
        9548_0x71,type      "9548"
        9548_0x71,route     "0x70:2"
        9548_0x71,desc      ""
        9548_0x71,fn        i2c_switch.tcl

        9555_0x20,address   "0x20"
        9555_0x20,type      "9555"
        9555_0x20,route     "0x70:1"
        9555_0x20,desc      ""
        9555_0x20,fn        9555.tcl
        9555_0x20,PIN       "0 15"
        

        9555_0x21,address   "0x21"
        9555_0x21,type      "9555"
        9555_0x21,route     "0x70:2"
        9555_0x21,desc      ""
        9555_0x21,fn        9555.tcl
        9555_0x21,PIN       "0 15"

        9555_0x22,address   "0x22"
        9555_0x22,type      "9555"
        9555_0x22,route     "0x70:2 0x71:8"
        9555_0x22,desc      ""
        9555_0x22,fn        9555.tcl
        9555_0x22,PIN       "0 15"

        9555_0x23,address   "0x23"
        9555_0x23,address   "0x23"
        9555_0x23,type      "9555"
        9555_0x23,route     "0x70:2 0x71:8"
        9555_0x23,desc      ""
        9555_0x23,fn        9555.tcl
        9555_0x23,PIN       "0 15"

        9505_0x22,address   "0x22"
        9505_0x22,type      "9505"
        9505_0x22,route     "0x70:2 0x71:4"
        9505_0x22,desc      ""
        9505_0x22,fn        9505.tcl
        9505_0x22,PIN       "0 39"

        LM75_0x48,address   "0x48"
        LM75_0x48,type      "LM75"
        LM75_0x48,route     "0x70:2 0x71:8"
        LM75_0x48,desc      ""
        LM75_0x48,fn        LM75.tcl

        LM75_0x49,address   "0x49"
        LM75_0x49,type      "LM75"
        LM75_0x49,route     "0x70:2 0x71:8"
        LM75_0x49,desc      ""
        LM75_0x49,fn        LM75.tcl

        ADM1024_0x2e,address   "0x2e"
        ADM1024_0x2e,type      "ADM1024"
        ADM1024_0x2e,route     "0x70:2 0x71:8"
        ADM1024_0x2e,desc      ""
        ADM1024_0x2e,fn        ADM1024.tcl

        PS_0x7c,address     "0x7c"
        PS_0x7c,type        "PS"
        PS_0x7c,route       "0x70:2 0x71:8"
        PS_0x7c,desc        ""
        PS_0x7c,fn          DS450.tcl

        PS_0x7e,address     "0x7e"
        PS_0x7e,type        "PS"
        PS_0x7e,route       "0x70:2 0x71:8"
        PS_0x7e,desc        ""
        PS_0x7e,fn          DS450.tcl

        PI6C20400_0x5e,address  "0x5e"
        PI6C20400_0x5e,type     "ClockDriver"
        PI6C20400_0x5e,route    "0x70:2 0x71:8"
        PI6C20400_0x5e,desc     ""
        PI6C20400_0x5e,fn       PI6C20400.tcl

        SHALDAG_PRIM,address    ""
        SHALDAG_PRIM,type       "Shaldag"
        SHALDAG_PRIM,route      "0x70:1"
        SHALDAG_PRIM,desc       ""
        SHALDAG_PRIM,fn         ""

        SHALDAG_SECN,address    ""
        SHALDAG_SECN,type       "Shaldag"
        SHALDAG_SECN,route      "0x70:2"
        SHALDAG_SECN,desc       ""
        SHALDAG_SECN,fn         ""
    }
}

proc Set_EVBRouteTable {} {
    global RouteTable
    array set RouteTable {
        9548_0x70,address   "0x70"
        9548_0x70,type      "9548"
        9548_0x70,route     ""
        9548_0x70,desc      ""
        9548_0x70,fn        i2c_switch.tcl

        9548_0x71,address   "0x71"
        9548_0x71,type      "9548"
        9548_0x71,route     "0x70:2"
        9548_0x71,desc      ""
        9548_0x71,fn        i2c_switch.tcl

        9555_0x20,address   "0x20"
        9555_0x20,type      "9555"
        9555_0x20,route     "0x70:1"
        9555_0x20,desc      ""
        9555_0x20,fn        9555.tcl
        9555_0x20,PIN       "0 15"
        
        9555_0x21,address   "0x21"
        9555_0x21,type      "9555"
        9555_0x21,route     "0x70:2"
        9555_0x21,desc      ""
        9555_0x21,fn        9555.tcl
        9555_0x21,PIN       "0 15"

        9555_0x22,address   "0x22"
        9555_0x22,type      "9555"
        9555_0x22,route     "0x70:2 0x71:8"
        9555_0x22,desc      ""
        9555_0x22,fn        9555.tcl
        9555_0x22,PIN       "0 15"

        9555_0x23,address   "0x23"
        9555_0x23,type      "9555"
        9555_0x23,route     "0x70:2 0x71:8"
        9555_0x23,desc      ""
        9555_0x23,fn        9555.tcl
        9555_0x23,PIN       "0 15"

        9505_0x23,address   "0x23"
        9505_0x23,type      "9505"
        9505_0x23,route     "0x70:16"
        9505_0x23,desc      ""
        9505_0x23,fn        9505.tcl
        9505_0x23,PIN       "0 39"

        9505_0x22,address   "0x22"
        9505_0x22,type      "9505"
        9505_0x22,route     "0x70:2 0x71:4"
        9505_0x22,desc      ""
        9505_0x22,fn        9505.tcl
        9505_0x22,PIN       "0 39"

        LM75_0x48,address   "0x48"
        LM75_0x48,type      "LM75"
        LM75_0x48,route     "0x70:2 0x71:8"
        LM75_0x48,desc      ""
        LM75_0x48,fn        LM75.tcl

        LM75_0x49,address   "0x49"
        LM75_0x49,type      "LM75"
        LM75_0x49,route     "0x70:2 0x71:8"
        LM75_0x49,desc      ""
        LM75_0x49,fn        LM75.tcl

        ADM1024_0x2e,address   "0x2e"
        ADM1024_0x2e,type      "ADM1024"
        ADM1024_0x2e,route     "0x70:2 0x71:8"
        ADM1024_0x2e,desc      ""
        ADM1024_0x2e,fn        ADM1024.tcl

        PS_0x7c,address     "0x7c"
        PS_0x7c,type        "PS"
        PS_0x7c,route       "0x70:2 0x71:8"
        PS_0x7c,desc        ""
        PS_0x7c,fn          DS450.tcl

        SHALDAG_PRIM,address    ""
        SHALDAG_PRIM,type       "Shaldag"
        SHALDAG_PRIM,route      "0x70:1"
        SHALDAG_PRIM,desc       ""
        SHALDAG_PRIM,fn         ""

        SHALDAG_SECN,address    ""
        SHALDAG_SECN,type       "Shaldag"
        SHALDAG_SECN,route      "0x70:2"
        SHALDAG_SECN,desc       ""
        SHALDAG_SECN,fn         ""
    }
}

proc Route {_name} {
    global RouteTable    
    if {![info exists RouteTable($_name,route)]} {
        Inform "-E-mlxi2c:unsupported.route" -name $_name
    }
    set route $RouteTable($_name,route)
    foreach pair $route {
        if {![regexp {^([^:]+):([^:]+)$} $pair . address val]} { 
            Inform "-E-mlxi2c:illegal.route.provided" -route $route -pair $pair
        }
        set val 0x[format %x $val]
        if {[I2C_Write "-i2c_address $address -address 0 -data $val -a 0"] == -1} {
            Inform "-E-mlxi2c:route.failed" -route $route -pair $pair
        }
    }
}

proc Clear_Route {} {
    global RouteTable TYPES
    foreach i2c_switch $TYPES(9548) {
        set tmp_llength [llength $RouteTable($i2c_switch,route)]
        lappend tmp_array($tmp_llength) $i2c_switch
    }
    foreach array_entry [lsort -decreasing [array names tmp_array]] {
        foreach name $tmp_array($array_entry) {
            Route $name
            I2C_Write "-i2c_address $RouteTable($name,address) -address 0 -data 0 -a 0"
        }
    }
}

proc InitTypes {} {
    global RouteTable TYPES
    foreach array_entry [array names RouteTable *,type] {
        set tmp_name [lindex [split $array_entry ,] 0]
        set tmp_type $RouteTable($array_entry)
        lappend TYPES($tmp_type) $tmp_name
    }
    return 0
}

proc mlxi2c_List {} {
    global DZ RouteTable
    set list_components ""
    foreach tmp_entry [array names RouteTable *,type] {
        lappend list_components [lindex [split $tmp_entry ,] 0]
    }

    set FileID [InitializeOutputFile $DZ(var:tool.name).list]
    set line [SeperateBySpaces "Type Name I2C-Addr Desc" 20]
    Inform "-I-dump:data" -data $line
    puts $FileID $line
    foreach component [lsort $list_components] {
        set tmpType $RouteTable($component,type)
        set tmpName $component
        set tmpDesc $RouteTable($component,desc)
        set tmpAddr $RouteTable($component,address)
        set line [SeperateBySpaces "$tmpType $tmpName $tmpAddr [list $tmpDesc]" 20]
        Inform "-I-dump:data" -data $line
        puts $FileID $line
    }
    close $FileID
}

proc mlxi2c_Query {_name} {
    global DZ RouteTable
    
    if {![info exists RouteTable($_name,address)]} {
        Inform "-E-mlxi2c:unsupported.query" -name $_name
    }

    set FileID [InitializeOutputFile $DZ(var:tool.name).query]

    set fn $RouteTable($_name,fn)
    set address $RouteTable($_name,address)
    Route $_name
    if {[catch "source [file join [file dirname [info script]] $fn]" e] } {
        Inform "-E-mlxi2c:can.not.source.file" -fn $fn
    }
    Query $address 1
    if {[info exists RouteTable($_name,PIN)]} {
        set start [lindex $RouteTable($_name,PIN) 0]
        set finish [lindex $RouteTable($_name,PIN) 1]
        set line [SeperateBySpaces "PIN MODE VALUE DESC" 10]
        Inform "-I-dump:data" -data $line
        puts $FileID $line
        for {set i $start} {$i <= $finish} {incr i} {
            set res [Read_Handle PIN${i} $address 1]
            set tmpStatus [lindex $res 0]
            set tmpVal [lindex $res 1]
            if {[info exists DZ(data:$_name.pin.map)]} {
                set desc [lindex $DZ(data:$_name.pin.map) $i]
            } else {
                set desc <>
            }
            set line [SeperateBySpaces "$i $tmpStatus $tmpVal $desc" 10]
            Inform "-I-dump:data" -data $line
            puts $FileID $line
        }
    }

    return 1
}

proc mlxi2c_Query_Multiple {_type} {
    global DZ RouteTable TYPES
    if {$_type == "all"} {
        foreach _type [array names TYPES] {
            Inform "-I-mlxi2c:Type.header" -type $_type
            if {$_type != "all"} {
                mlxi2c_Query_Multiple $_type
            }
        }
    } elseif {[info exists TYPES($_type)]} {
        set name [lindex $TYPES($_type) 0]
        set fn $RouteTable($name,fn)
        if {[catch "source [file join [file dirname [info script]] $fn]" e] } {
            Inform "-E-mlxi2c:can.not.source.file" -fn $fn
        }
        set header 0
        foreach name [lsort $TYPES($_type)] {
            set address $RouteTable($name,address)
            Route $name
            set res [Query $address]
            if {!$header} {
                set headerLine [SeperateBySpaces "Name [regsub -all {,[^ ]*} $res ""]" 20,6]
                Inform "-I-dump:data" -data $headerLine
                incr header
            }
            set res [SeperateBySpaces "$name [regsub -all {[^ ]*,} $res ""]" 20,6]
            Inform "-I-dump:data" -data $res
        }
    }
    return 1
}

proc Set_Gpio {_pin_name} {
    global DZ RouteTable
    scan [split %_pin_name :=] {%s %s %s} comp_name pin_name pin_val
    if {![regexp {^([^:]+):([^=]+)=(.+)$} $_pin_name . comp_name pin_name pin_val]} {
        Inform "-E-argv:invalid.set.gpio.params" -flag -set_gpio -value $_pin_name
    } else {
        if {![info exists DZ(data:$comp_name.pin.map)]} {
            Inform "-E-argv:invalid.set.gpio.params" -flag -set_gpio -value $_pin_name
        }
        set pin_indx [lsearch $DZ(data:$comp_name.pin.map) $pin_name]
        if {($pin_indx == -1) || (($pin_val != 0) && ($pin_val != 1))} {
            Inform "-E-argv:invalid.set.gpio.params" -flag -set_gpio -value $_pin_name
        }
        set fn $RouteTable($comp_name,fn)
        if {[catch "source [file join [file dirname [info script]] $fn]" e] } {
            Inform "-E-mlxi2c:can.not.source.file" -fn $fn
        }
        Write_Handle PIN${pin_indx}=$pin_val $RouteTable($comp_name,address)
    }
    return 0
}

proc Operation {_op} {
    global DZ RouteTable TYPES
    switch $_op {
        evb_init {
            set name 9505_0x23
            source [file join [file dirname [info script]] $RouteTable($name,fn)]
            Route $name
            #Write_Handle
            Write_Handle "OP0=0,OP1=0,OP2=0,IOC0=0,IOC1=0,IOC2=0" 0x23

	    set name 9555_0x21
            source [file join [file dirname [info script]] $RouteTable($name,fn)]
            Route $name
            Write_Handle "CF1=95" 0x21
        }
        evb_uninit {
            set name 9505_0x23
            source [file join [file dirname [info script]] $RouteTable($name,fn)]
            Route $name
            #Write_Handle
            Write_Handle "IOC0=255,IOC1=255,IOC2=255" 0x23
        }
        evb_voltage_triming {
            set pin_list_1 "12V_P5 12V_M5 12V_P10 12V_M10 12VHS_P5 12VHS_M5 12VHS_P10 12VHS_M10 18V_P5 18V_M5 18V_P10 18V_M10 25V_P5 25V_M5 25V_P10 25V_M10 33V_P5 33V_M5 33V_P10 33V_M10 50V_P5 50V_M5 50V_P10 50V_M10"
            foreach pin $pin_list_1 {
                for {set i 1} {$i >= 0} {incr i -1} {
                    set val 9505_0x23:${pin}=$i
                    wait MSG_PAUSE -msg "Press any key to write $i to $pin"
                    Set_Gpio $val
                }
            }
        } 
	default {
	    Inform "-E-argv:invalid.opcode.param" -flag op -value $_op
	}
    }
}

proc main {} {
    global DZ TYPES
    ### MAIN
    ### Pre runs
    Initialize_MlxI2C
    Start_MlxI2C

    # Select Array to load by -s flag
    switch $DZ(argv:system.name) {
        shark {
            set DZ(data:9555_0x20.pin.map) "SYSTEM_RESET# NC NC NC NC NC NC NC BASE_BIT_0 BASE_BIT_1 MEZZ_BIT_0 MEZZ_BIT_1 PIZZABOX_BIT LEAF_BIT SPINE_BIT BLADE_SYSTEM_BIT"
            set DZ(data:9555_0x21.pin.map) "NC NC CON_TYPE_INT# MONITOR_INT# RMII_INT# NC NC NC NC NC NC NC NC NC NC NC"
            set DZ(data:9555_0x22.pin.map) "FAN1_GD FAN2_GD FAN3_GD FAN_IN PS_IN1 PS_IN2 PS_GD1 PS_GD2 AC_VIN_GD1 AC_VIN_GD2 HEALTH0 HEALTH1 NC NC NC NC"
            set DZ(data:9555_0x23.pin.map) "SYSTEM_FAULT SYSTEM_GOOD PS_KILL1 PS_KILL2 PS_EN1 PS_EN2 NC NC MEZZ0_RST MEZZ1_RST NC NC NC NC NC NC"
            set DZ(data:9505_0x22.pin.map) "CON_TYPE_P1 CON_TYPE_P2 CON_TYPE_P3 CON_TYPE_P4 CON_TYPE_P5 CON_TYPE_P6 CON_TYPE_P7 CON_TYPE_P8 CON_TYPE_P9 CON_TYPE_P10 CON_TYPE_P11 CON_TYPE_P12 CON_TYPE_P13 CON_TYPE_P14 CON_TYPE_P15 CON_TYPE_P16 CON_TYPE_P17 CON_TYPE_P18 CON_TYPE_P19 CON_TYPE_P20 CON_TYPE_P21 CON_TYPE_P22 CON_TYPE_P23 CON_TYPE_P24 CON_TYPE_P25 CON_TYPE_P26 CON_TYPE_P27 CON_TYPE_P28 CON_TYPE_P29 CON_TYPE_P30 CON_TYPE_P31 CON_TYPE_P32 CON_TYPE_P33 CON_TYPE_P34 CON_TYPE_P35 CON_TYPE_P36 NC NC NC NC"
            Set_SharkRouteTable
            set DZ(data:supported.i2c.dev) "9548 9555 9505 LM_75 ADM1024 PS PI6C20400"
        }
        evb {
            set DZ(data:9555_0x20.pin.map) "SYSTEM_RESET# NC NC NC NC NC NC NC BASE_BIT_0 BASE_BIT_1 MEZZ_BIT_0 MEZZ_BIT_1 PIZZABOX_BIT LEAF_BIT SPINE_BIT BLADE_SYSTEM_BIT"
            set DZ(data:9555_0x21.pin.map) "NC NC CON_TYPE_INT# MONITOR_INT# RMII_INT# NC NC NC TS_FAN_ALERT# TS_FANFAIL# TS_THERM# TS_OT# PS_S_INT UPIO_9 NC UPIO_10"
            set DZ(data:9555_0x22.pin.map) "NC NC NC NC PS_PRESENT# NC PS_POK NC PS_VIN_GOOD NC HEALTH0 HEALTH1 NC NC NC NC "
            set DZ(data:9555_0x23.pin.map) "NC NC NC NC NC NC NC NC GP_LV GP_HV NC NC NC NC NC NC"
            set DZ(data:9505_0x22.pin.map) "CON_TYPE_P1 CON_TYPE_P2 CON_TYPE_P3 CON_TYPE_P4 CON_TYPE_P5 CON_TYPE_P6 CON_TYPE_P7 CON_TYPE_P8 CON_TYPE_P9 CON_TYPE_P10 CON_TYPE_P11 CON_TYPE_P12 CON_TYPE_P13 CON_TYPE_P14 CON_TYPE_P15 CON_TYPE_P16 CON_TYPE_P17 CON_TYPE_P18 CON_TYPE_P19 CON_TYPE_P20 CON_TYPE_P21 CON_TYPE_P22 CON_TYPE_P23 CON_TYPE_P24 CON_TYPE_P25 CON_TYPE_P26 CON_TYPE_P27 CON_TYPE_P28 CON_TYPE_P29 CON_TYPE_P30 CON_TYPE_P31 CON_TYPE_P32 CON_TYPE_P33 CON_TYPE_P34 CON_TYPE_P35 CON_TYPE_P36 NC NC NC NC"
            set DZ(data:9505_0x23.pin.map) "25V_M5 25V_P5 25V_M10 25V_P10 50V_M5 50V_P5 50V_M10 50V_P10 18V_M5 18V_P5 18V_M10 18V_P10 12V_M5 12V_P5 12V_M10 12V_P10 12VHS_M5 12VHS_P5 12VHS_M10 12VHS_P10 33V_M5 33V_P5 33V_M10 33V_P10 NC NC NC NC NC NC NC NC PS_ON# NC NC NC NC NC NC NC"
            Set_EVBRouteTable
            set DZ(data:supported.i2c.dev) "9548 9555 9505 LM_75 ADM1024 PS"
        }
        reindeer {
            set DZ(data:SYSMON_GPIO.pin.map) "FAN1_GD FAN2_GD FAN3_GD FAN_IN PS_IN1 PS_GD1 PS_IN2 PS_GD2 S_FAULT TBD ETH_LED2 ETH_LED1 NC CPUN# EEP_PRESENT RESET"
            Set_ReindeerRouteTable
            set DZ(data:supported.i2c.dev) "9548 9555 ADM1024"
        }
    }
    InitTypes

    if {[info exists DZ(argv:list)]} {
        set mode _List
    }
    if {[info exists DZ(argv:route.component)]} {
        set mode _Point
    }
    if {[info exists DZ(argv:query)]} {
        set mode _Query
    }
    if {[info exists DZ(argv:Query)]} {
        set mode _Query_Multiple
    }
    if {[info exists DZ(argv:clear.route)]} {
        set mode _Clear
    }
    if {[info exists DZ(argv:set.gpio.pin)]} {
        set mode _SET_GPIO
    }
    if {[info exists DZ(argv:op.name)]} {
        set mode _OPERATION
    }

    Inform "-I-mlxi2c:Mode.header" -mode $mode

    switch $mode {
        "_List" {
            mlxi2c_List
        }
        "_Point" {
            Route $DZ(argv:route.component)
        }
        "_Query" {
            mlxi2c_Query $DZ(argv:query)
        }
        "_Query_Multiple" {
            mlxi2c_Query_Multiple $DZ(argv:Query)
        }
        "_Clear" {
            Clear_Route
        }
        "_SET_GPIO" {
            Set_Gpio $DZ(argv:set.gpio.pin)
        }
        "_OPERATION" {
            Operation $DZ(argv:op.name)
        }
    }
    Finish_MlxI2C
}

main
